Subject: Re: bug#21348: 25.0.50; Screen scaling factor >=2 causes menus, tooltips to display in the wrong place

From: Eli Zaretskii <[email-masked]>
Date: Wed, 26 Aug 2015 05:48:02 +0300

> From: Ryan Prior <[email-masked]>
> Date: Tue, 25 Aug 2015 17:51:28 -0500
> 
> I'm on Ubuntu 14.04.3 using a Dell XPS 13, which has screen resolution
> 3200x1800. In order to make the menus large enough to read, the screen
> is scaled at x2.

What does that mean?  Which pixel coordinates are affected by this,
and how could Emacs know that?

> However, at that scale setting, Emacs shows tooltips and menus at an
> offset a few inches down and to the right of the mouse pointer.
> 
> Using the settings panel I can change the scaling factor. If I reduce it
> below 2, for example to 1.88, then Emacs displays menus and tooltips
> where I would expect. At a scale setting equal to or higher than 2x, the
> menus and tooltips are shifted down and to the right.

Sounds like some X API calls lie to us, but it's impossible to fix
this without knowing which ones.